clear all 
close all
% SERT UNIQUEMENT A DEBOGUER/TESTER LA FONCTION quadrillage A IMPLEMENTER
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% DECOMMENTER LA LIGNE 54 APRES AVOIR PROGRAMMER LA FONCTION QUADRILLAGE
% ET COMMENTER LA LIGNE 55
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Parametres que l'on peut modifier
% lignes :
imin=-5;imax=6;
% colonnes
jmin=-3;jmax=7;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

hold on

% Affichage des numeros de lignes et colonnes
printnumbers(imin,imax,jmin,jmax,1,1)

% Affichage des 4 points
plot(jmin,imin,'r.','MarkerSize',20);
plot(jmin+1,imin+1,'m.','MarkerSize',20')

plot(jmax,imax,'g.','MarkerSize',20)
plot(jmax+1,imax+1,'b.','MarkerSize',20)

% Affichage de la legende
s1=sprintf('point (%d,%d)',jmin,imin);
s2=sprintf('point (%d,%d)',jmin+1,imin+1);
s3=sprintf('point (%d,%d)',jmax,imax);
s4=sprintf('point (%d,%d)',jmax+1,imax+1);

% Compatibility with Octave and Matlab
legendCell={s1,s2,s3,s4};
log=ver;
if strcmp(log(1).Name,'Octave')
  legend(legendCell,'Location','SouthEast')
else % Matlab
  if verLessThan('matlab','9.2') % R2017a
    legend(legendCell,'Location','SouthEast')
  else 
    legend(legendCell,'Location','SouthEast','AutoUpdate','off')
  end
end

stitle=sprintf('quadrillage(%d,%d,%d,%d)',imin,imax,jmin,jmax);
title(stitle)
text((jmax+jmin)/2,imin-1,'colonne')
text(jmin-1,(imax+imin)/2,'ligne','Rotation',90)

hold on
%%%%%%%%%%%%%%%%%%%
% LIGNE SUIVANTE A DECOMMENTER
% quadrillage(imin,imax,jmin,jmax);
disp('Il manque la fonction quadrillage!!!')
%%%%%%%%%%%%%%%%%%%
axis equal
axis off

% Sauvegarde de la figure au format EPS et PNG
print -depsc2 quadrillagefigure.eps
print -dpng quadrillagefigure.png

hold on
% Affichage du carre noir
black(1,2)
stitle=sprintf('quadrillage(%d,%d,%d,%d) et black(1,2)',imin,imax,jmin,jmax);
title(stitle)
hold off

% Sauvegarde de la figure avec carre noir au format EPS et PNG
print -depsc2 quadrillageblackfigure.eps
print -dpng quadrillageblackfigure.png
